Open with does not use OS list of available programs to open format

Bug #1434990 reported by Bernhard Wessels on 2015-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Hi. Thanks for adding the ability to right-ckick format and open with a program. I am on Win 8.1 Pro. When I right-click on any format and choose "Open ... with...", there is a window opening with a spinning wheel for a very short time (can't read the text) and then I am presented with an explorer window, where I can choose a program from the file system to open the ebook with. It never presents me with a list of programs that are registered on the OS level for that ebook format. I assume this is supposed to happen?

Thank you!

Log below:

calibre Debug log
calibre 2.22 [64bit] isfrozen: True is64bit: True
Windows-8-6.2.9200 Windows ('64bit', 'WindowsPE')
('Windows', '8', '6.2.9200')
Python 2.7.9
Windows: ('8', '6.2.9200', '', 'Multiprocessor Free')
DeDRM v6.1.0: In __init__
DeDRM v6.1.0: In load_resources
DeDRM v6.1.0: verdir C:\Users\*********\AppData\Roaming\calibre\plugins\DeDRM\6.1.0
DeDRM v6.1.0: In initialize
Successfully initialized third party plugins: DeDRM && Count Pages && Read MP3 AudioBook metadata && Copy Cover To Device && Annotations && Find Duplicates && Quality Check && YVES to ZIP && Fantastic Fiction && BOL_DE && iOS reader applications && Reading List && Extract ISBN && Search The Internet && Open With && Generate Cover && Manage Series && Barnes & Noble && Goodreads && Kindle Collections && Beam Ebooks && Prince PDF && AudioBookReader_MP3
Starting up...
Problem creating accessible interface for: CalibreSplashScreen(0x2fa3680)
Make sure to deploy Qt with accessibility plugins.
Problem creating accessible interface for: Main(0x438a560, name = "MainWindow")
Make sure to deploy Qt with accessibility plugins.
QTextCursor::setPosition: Position '1' out of range
QTextCursor::setPosition: Position '201' out of range
Started up in 15.56 seconds with 2085 books
Traceback (most recent call last):
  File "site-packages\calibre\gui2\open_with.py", line 260, in find_programs
  File "site-packages\calibre\utils\winreg\default_programs.py", line 279, in find_programs
ValueError: need more than 2 values to unpack

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released
Bernhard Wessels (kara-s) wrote :

Unbelievable! Fixed one hour after I've reported it -on Sunday evening! Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers